Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 634268 - games-kids/gcompris - bump request to Qt5-based current version
Summary: games-kids/gcompris - bump request to Qt5-based current version
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Virgil Dupras
URL: https://www.kde.org/applications/educ...
Whiteboard:
Keywords:
Depends on:
Blocks: 629176
  Show dependency tree
 
Reported: 2017-10-14 20:11 UTC by Thomas Capricelli
Modified: 2018-12-24 14:14 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Capricelli 2017-10-14 20:11:57 UTC
The current version in portage, games-kids/gcompris-15.10-r1, is several years old and is the 'old' version of gcompris, based on gtk. Since then the development has moved to qt/qml, and there are regular releases, as seen on
http://gcompris.net/index-en.html

I understand version 1.0 is still to happen, but since the move to qt/qml has been in progress for several years, my opinion is that the new version could be available in portage, even if masked.
Comment 1 Andreas Sturmlechner gentoo-dev 2017-10-14 20:20:40 UTC
KDE-hosted Code repository: https://cgit.kde.org/gcompris.git/
Comment 2 Thomas Capricelli 2018-03-18 21:04:03 UTC
The last version was released at the beginning of this week, 0.90 : http://gcompris.net

It's still based on Qt and still missing in gentoo, please !
Comment 3 Larry the Git Cow gentoo-dev 2018-10-12 16:58:32 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=11dbf67a660a33c67c6ceb45ea0c3edb9d102516

commit 11dbf67a660a33c67c6ceb45ea0c3edb9d102516
Author:     Virgil Dupras <vdupras@gentoo.org>
AuthorDate: 2018-10-12 16:55:47 +0000
Commit:     Virgil Dupras <vdupras@gentoo.org>
CommitDate: 2018-10-12 16:55:47 +0000

    games-kids/gcompris: bump to 0.91
    
    Closes: https://bugs.gentoo.org/634268
    Signed-off-by: Virgil Dupras <vdupras@gentoo.org>
    Package-Manager: Portage-2.3.51, Repoman-2.3.11

 games-kids/gcompris/Manifest             |  1 +
 games-kids/gcompris/gcompris-0.91.ebuild | 44 ++++++++++++++++++++++++++++++++
 2 files changed, 45 insertions(+)
Comment 4 Virgil Dupras gentoo-dev 2018-10-12 17:01:03 UTC
To avoid versioning problems (15.10 --> 0.91), I've immediately removed the old version following the bump. The new Qt version is of a much better quality than the old GTK based one.
Comment 5 Andreas Sturmlechner gentoo-dev 2018-12-24 12:54:22 UTC
Package is missing SLOT 5 dependency on all dev-qt packages.
Comment 6 Andreas Sturmlechner gentoo-dev 2018-12-24 12:57:51 UTC
kde overlay has already had a live ebuild for gcompris for some time, I'm going to look at the differences to your version.

Meanwhile 0.95 was released.
Comment 7 Virgil Dupras gentoo-dev 2018-12-24 13:28:01 UTC
Oh, I hadn't noticed gcompris's presence in the KDE overlay. I must admit that understanding the kde eclass is beyond my immediate will. I took this package over because it didn't seem actively maintained, but if someone want to give the package a more KDE-ish flavor, please take over the package.

Otherwise, I'm bumping now.
Comment 8 Larry the Git Cow gentoo-dev 2018-12-24 13:36:55 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7012ae680666c76f6fb3cc84917bccefec874480

commit 7012ae680666c76f6fb3cc84917bccefec874480
Author:     Virgil Dupras <vdupras@gentoo.org>
AuthorDate: 2018-12-24 13:29:04 +0000
Commit:     Virgil Dupras <vdupras@gentoo.org>
CommitDate: 2018-12-24 13:33:19 +0000

    games-kids/gcompris: bump to 0.95
    
    Closes: https://bugs.gentoo.org/634268
    Signed-off-by: Virgil Dupras <vdupras@gentoo.org>
    Package-Manager: Portage-2.3.52, Repoman-2.3.11

 games-kids/gcompris/Manifest             |  1 +
 games-kids/gcompris/gcompris-0.95.ebuild | 44 ++++++++++++++++++++++++++++++++
 2 files changed, 45 insertions(+)
Comment 9 Larry the Git Cow gentoo-dev 2018-12-24 14:14:34 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=11fe21b9c2b70489eaf4132082e837ded59f6806

commit 11fe21b9c2b70489eaf4132082e837ded59f6806
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-12-24 14:14:17 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-12-24 14:14:17 +0000

    games-kids/gcompris: Pin dev-qt/linguist-tools to slot 5
    
    Bug: https://bugs.gentoo.org/634268
    Package-Manager: Portage-2.3.52, Repoman-2.3.12
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 games-kids/gcompris/gcompris-0.95.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)